curl --request PUT \
--url https://app.visotrust.com/api/v1/relationships/{id}/accept-risk \
--header 'Content-Type: application/json' \
--data '
{
"riskReviewNote": "<string>"
}
'import requests
url = "https://app.visotrust.com/api/v1/relationships/{id}/accept-risk"
payload = { "riskReviewNote": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({riskReviewNote: '<string>'})
};
fetch('https://app.visotrust.com/api/v1/relationships/{id}/accept-risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.visotrust.com/api/v1/relationships/{id}/accept-risk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'riskReviewNote' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.visotrust.com/api/v1/relationships/{id}/accept-risk"
payload := strings.NewReader("{\n \"riskReviewNote\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.visotrust.com/api/v1/relationships/{id}/accept-risk")
.header("Content-Type", "application/json")
.body("{\n \"riskReviewNote\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.visotrust.com/api/v1/relationships/{id}/accept-risk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"riskReviewNote\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"id": 123,
"homepage": "<string>",
"description": "<string>",
"businessUnit": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"recertificationDate": "2023-11-07T05:31:56Z",
"status": "ARCHIVED",
"inherentRisk": "NO_CONTEXT",
"inherentRiskScore": 123,
"residualRisk": "NO_CONTEXT",
"residualRiskScore": 123,
"isTransitional": true,
"contextTypes": [
{
"name": "<string>"
}
],
"dataTypes": [
{
"name": "<string>"
}
],
"businessOwner": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"assessmentLead": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"recertificationType": "MANUAL",
"subscribers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
}
],
"primaryContact": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"tags": [
"<string>"
],
"tier": "<string>",
"complianceStandards": [
"C5"
],
"latestAssessment": {
"id": 123,
"summary": "<string>",
"phaseDate": "2023-11-07T05:31:56Z",
"status": "NOT_ASSESSED",
"sentToEmail": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"requestedAuditTypes": [
"<string>"
],
"aiProcessingOnly": true,
"noVendorResponseAction": "CLOSE_COLLECTION_REQUEST",
"collectionTimeline": "SEVEN_DAYS",
"followupTimeline": "SEVEN_DAYS",
"followupRiskThreshold": "NO_CONTEXT",
"followupType": "MANUAL",
"assessmentType": "<string>",
"statusHistories": [
{
"date": "2023-11-07T05:31:56Z",
"status": "NOT_ASSESSED"
}
],
"createdReason": "INITIAL_ASSESSMENT",
"sentToFirstName": "<string>",
"sentToLastName": "<string>",
"recommendations": [
{
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"recommendationType": "EXPIRED"
}
],
"sentBy": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"updatedDate": "2023-11-07T05:31:56Z",
"requestedArtifactCollection": true
},
"riskAcceptanceStatus": "RISK_ACCEPTED",
"externalId": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"dimensionCoverage": [
{
"dimension": "<string>",
"inScope": true,
"coverage": "<string>",
"coveragePercentage": "<string>"
}
]
}Accept risk for a relationship
Marks the relationship’s risk as accepted by the current user, optionally with a review note and a risk override. The request body is optional. Risk cannot be accepted while the relationship’s latest completed assessment has an active remediation request.
curl --request PUT \
--url https://app.visotrust.com/api/v1/relationships/{id}/accept-risk \
--header 'Content-Type: application/json' \
--data '
{
"riskReviewNote": "<string>"
}
'import requests
url = "https://app.visotrust.com/api/v1/relationships/{id}/accept-risk"
payload = { "riskReviewNote": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({riskReviewNote: '<string>'})
};
fetch('https://app.visotrust.com/api/v1/relationships/{id}/accept-risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.visotrust.com/api/v1/relationships/{id}/accept-risk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'riskReviewNote' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.visotrust.com/api/v1/relationships/{id}/accept-risk"
payload := strings.NewReader("{\n \"riskReviewNote\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.visotrust.com/api/v1/relationships/{id}/accept-risk")
.header("Content-Type", "application/json")
.body("{\n \"riskReviewNote\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.visotrust.com/api/v1/relationships/{id}/accept-risk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"riskReviewNote\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"id": 123,
"homepage": "<string>",
"description": "<string>",
"businessUnit": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"recertificationDate": "2023-11-07T05:31:56Z",
"status": "ARCHIVED",
"inherentRisk": "NO_CONTEXT",
"inherentRiskScore": 123,
"residualRisk": "NO_CONTEXT",
"residualRiskScore": 123,
"isTransitional": true,
"contextTypes": [
{
"name": "<string>"
}
],
"dataTypes": [
{
"name": "<string>"
}
],
"businessOwner": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"assessmentLead": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"recertificationType": "MANUAL",
"subscribers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
}
],
"primaryContact": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"tags": [
"<string>"
],
"tier": "<string>",
"complianceStandards": [
"C5"
],
"latestAssessment": {
"id": 123,
"summary": "<string>",
"phaseDate": "2023-11-07T05:31:56Z",
"status": "NOT_ASSESSED",
"sentToEmail": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"requestedAuditTypes": [
"<string>"
],
"aiProcessingOnly": true,
"noVendorResponseAction": "CLOSE_COLLECTION_REQUEST",
"collectionTimeline": "SEVEN_DAYS",
"followupTimeline": "SEVEN_DAYS",
"followupRiskThreshold": "NO_CONTEXT",
"followupType": "MANUAL",
"assessmentType": "<string>",
"statusHistories": [
{
"date": "2023-11-07T05:31:56Z",
"status": "NOT_ASSESSED"
}
],
"createdReason": "INITIAL_ASSESSMENT",
"sentToFirstName": "<string>",
"sentToLastName": "<string>",
"recommendations": [
{
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"recommendationType": "EXPIRED"
}
],
"sentBy": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"businessUnit": "<string>"
},
"updatedDate": "2023-11-07T05:31:56Z",
"requestedArtifactCollection": true
},
"riskAcceptanceStatus": "RISK_ACCEPTED",
"externalId": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"dimensionCoverage": [
{
"dimension": "<string>",
"inScope": true,
"coverage": "<string>",
"coveragePercentage": "<string>"
}
]
}Path Parameters
Body
Request for accepting the risk of a relationship. inherentRiskOverride and residualRiskOverride must be provided together or not at all, and must be LOW, MEDIUM, HIGH or EXTREME. Omitting both removes any existing risk override.
Note explaining the risk acceptance decision
Inherent risk level to apply as an override. Required if residualRiskOverride is provided.
NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME Residual risk level to apply as an override. Required if inherentRiskOverride is provided.
NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME Response
OK
ARCHIVED, NOT_ONBOARDED, ONBOARDED, PURGED NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME NO_CONTEXT, LOW, MEDIUM, HIGH, EXTREME Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
MANUAL, AUTOMATIC, NONE Show child attributes
Show child attributes
Show child attributes
Show child attributes
C5, CCPA, CSA_STAR, CSA_LEVEL2, FEDRAMP, GDPR, GLBA, HIPAA, HITRUST, ISO27001, ISO27017, ISO27018, ISO27701, ISO21434, ISO22301, ISO42001, ISOIEC_2700127002, ISOIEC_2701727002, ISOIEC_2701827002, PCIDSS, PRIVACY_SHIELD, SOC1, SOC2, SOC3, TISAXREPORTLEVEL3 Show child attributes
Show child attributes
RISK_ACCEPTED, REVIEW_NEEDED, REMEDIATION_REQUESTED Show child attributes
Show child attributes